Index: src/Actions/FragmentationAction/ParseFragmentResultsAction.cpp
===================================================================
--- src/Actions/FragmentationAction/ParseFragmentResultsAction.cpp	(revision 059833d76612bbce75f2eca35588d1f4ef542e36)
+++ src/Actions/FragmentationAction/ParseFragmentResultsAction.cpp	(revision 72b467c0c16cb89ffa723c2d2d3cb449d7f7c4df)
@@ -90,6 +90,12 @@
         restoreFragmentResultsContentsFromStream(_backupstream);
         return false;
-      } else
+      } else {
         filestream.close();
+#if not defined(HAVE_JOBMARKET) || not defined(HAVE_VMG)
+        if (container.areFullRangeResultsPresent()) {
+          ELOG(2, "Long-range information contained in results but long-range analysis capability not compiled in.");
+        }
+#endif
+      }
     }
   } else {
Index: tests/regression/Fragmentation/AnalyseFragmentationResults/testsuite-fragmentation-analyse-fragment-results.at
===================================================================
--- tests/regression/Fragmentation/AnalyseFragmentationResults/testsuite-fragmentation-analyse-fragment-results.at	(revision 059833d76612bbce75f2eca35588d1f4ef542e36)
+++ tests/regression/Fragmentation/AnalyseFragmentationResults/testsuite-fragmentation-analyse-fragment-results.at	(revision 72b467c0c16cb89ffa723c2d2d3cb449d7f7c4df)
@@ -67,5 +67,5 @@
 AT_CHECK([output=BondFragment_Eigenhistogram.dat; diff $output ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/post/LongRange/OBC/$output], 0, [ignore], [ignore])
 AT_CHECK([output=BondFragment_IndexedEnergy.dat; diff $output ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/post/LongRange/OBC/$output], 0, [ignore], [ignore])
-AT_CHECK([grep "File contains long-range information but long-range analysis capability not compiled in" stderr], 0, [ignore], [ignore], [
+AT_CHECK([grep "long-range analysis capability not compiled in" stderr], 0, [ignore], [ignore], [
 	AT_CHECK([output=BondFragment_LongRangeEnergy.dat; diff $output ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/post/LongRange/OBC/$output], 0, [ignore], [ignore])
 	])
@@ -80,5 +80,5 @@
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/pre/alkane-3.pdb -o tremolo --set-tremolo-atomdata "Id type x=3 u=3 F=3" --reset 1 --parse-fragment-results $file --analyse-fragment-results], 0, [ignore], [stderr])
-AT_CHECK([grep "File contains long-range information but long-range analysis capability not compiled in" stderr], 0, [ignore], [ignore], [
+AT_CHECK([grep "long-range analysis capability not compiled in" stderr], 0, [ignore], [ignore], [
 	AT_CHECK([diff alkane-3.data ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/post/LongRange/OBC/alkane-3.data], 0, [ignore], [ignore])
 	])
@@ -104,5 +104,5 @@
 AT_CHECK([output=BondFragment_Eigenhistogram.dat; diff $output ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/post/LongRange/PBC/$output], 0, [ignore], [ignore])
 AT_CHECK([output=BondFragment_IndexedEnergy.dat; diff $output ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/post/LongRange/PBC/$output], 0, [ignore], [ignore])
-AT_CHECK([grep "File contains long-range information but long-range analysis capability not compiled in" stderr], 0, [ignore], [ignore], [
+AT_CHECK([grep "long-range analysis capability not compiled in" stderr], 0, [ignore], [ignore], [
 	AT_CHECK([output=BondFragment_LongRangeEnergy.dat; diff $output ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/post/LongRange/PBC/$output], 0, [ignore], [ignore])
 	])
@@ -117,5 +117,5 @@
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/pre/alkane-3.pdb -o tremolo --set-tremolo-atomdata "Id type x=3 u=3 F=3" --reset 1 --parse-fragment-results $file --analyse-fragment-results], 0, [ignore], [stderr])
-AT_CHECK([grep "File contains long-range information but long-range analysis capability not compiled in" stderr], 0, [ignore], [ignore], [
+AT_CHECK([grep "long-range analysis capability not compiled in" stderr], 0, [ignore], [ignore], [
 	AT_CHECK([diff alkane-3.data ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/post/LongRange/PBC/alkane-3.data], 0, [ignore], [ignore])
 	])
